Skip to main content
GET
/
api
/
v1
/
public
/
prompts
List Prompts
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/prompts \
  --header 'Authorization: Bearer <token>'
[
  {
    "prompts": [
      {
        "id": 123,
        "content": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "topic_id": 123,
        "topic_name": "<string>",
        "localizations": [
          "worldwide"
        ],
        "source_keyword": "<string>",
        "visibility_score": 0,
        "visibility_delta_7d": 123,
        "status": "unclaimed",
        "top_platforms": [],
        "sentiment_score": 123,
        "sentiment_highlights_count": 0,
        "sentiment_positive_count": 0,
        "sentiment_negative_count": 0,
        "sentiment_neutral_count": 0,
        "ai_search_volume": 123,
        "ai_volume_delta": 123,
        "volume_updated_at": "2023-11-07T05:31:56Z",
        "is_active": true,
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ],
    "topic_id": 123,
    "topic_name": "<string>",
    "average_visibility": 0
  }
]

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

topic_id
integer | null

Filter by topic ID

website_id
integer
required

Target website id

Response

Successful Response

prompts
PromptBaseSchema · object[]
required
topic_id
integer | null
topic_name
string | null
average_visibility
number
default:0